; TIP1010.LSP: LD.LSP   Dim Leader With Dynamic Text  (c)1994, Kevin Struthers

(defun C:LD (/ A B C D E PT1 PT2 PT3 TH DR PTX)
   (graphscr)
   (setq A (getvar "DIMASZ")
         B (getvar "DIMTAD")
         C (getvar "ORTHOMODE")
         D (getvar "OSMODE")
         E (getvar "SNAPMODE"))
   (setvar "DIMASZ" 0.125) ;set arrow head size
   (setvar "DIMTAD" 0)
   (setvar "ORTHOMODE" 0)
   (setvar "OSMODE" 512)
   (setvar "SNAPMODE" 0)
   (setq PT1 (getpoint "\nEnter start point <NEA>: "))
   (setvar "OSMODE" 0)
   (setq PT2 (getpoint PT1 "\nEnter point: "))
   (command "dim1" "lea" PT1 PT2 "" commandnil )
   (setq TH (* (getvar "DIMSCALE")(getvar "DIMTXT")))
   (if (> (car PT1) (car PT2))(setq DR "MR"))
   (if (> (car PT2) (car PT1))(setq DR "ML"))
   (setq PTX (* (getvar "DIMSCALE")(+ 0.0625 (getvar "DIMASZ"))))
   (if (= DR "ML")(setq PT3 (list (+ (car PT2) PTX)(cadr PT2))))
   (if (= DR "MR")(setq PT3 (list (- (car PT2) PTX)(cadr PT2))))
   (prompt "\nEnter text: ")
   (command "dtext" DR PT3 TH "0")
   (setvar "DIMASZ" A)
   (setvar "DIMTAD" B)
   (setvar "ORTHOMODE" C)
   (setvar "OSMODE" D)
   (setvar "SNAPMODE" E)
   (princ)
); end ld.lsp
